#
# spec file for package radamsa
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           radamsa
Version:        0.6
Release:        2.2
Summary:        A test case generator for robustness testing, aka a fuzzer
License:        MIT
URL:            https://gitlab.com/akihe/radamsa
Source0:        https://gitlab.com/akihe/radamsa/-/archive/v%{version}/radamsa-v%{version}.tar.bz2
Source1:        ol.c.gz
BuildRequires:  curl
BuildRequires:  wget

%description
Radamsa is a test case generator for robustness testing, aka a fuzzer. It
can be used to test how well a program can stand malformed and potentially
malicious inputs. It operates based on given sample inputs and thus
requires minimal effort to set up. The main selling points of radamsa are
that it is easy to use, contains several old and new fuzzing algorithms, is
easy to script from command line and has already been used to find a slew
of bugs in programs that actually matter.

%prep
%autosetup -n %{name}-v%{version}
cp %{SOURCE1} .

%build
%make_build CFLAGS="%{optflags}"

%install
%make_install

%files
%license LICENCE
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{?ext_man}

%changelog
* Tue Jun 20 2023 Martin Pluskal <mpluskal@suse.com>
- Update project url
* Wed Feb  1 2023 Paolo Perego <paolo.perego@suse.com>
- Update to 0.6
- Add ol.c.gz that it is needed to compile the code
- Removed no more needed files
* Tue Mar 17 2020 Martin Pluskal <mpluskal@suse.com>
- Drop no longer working downlaod url
* Sat Mar 26 2016 mpluskal@suse.com
- Small spec file cleanup
* Wed Oct  7 2015 mpluskal@suse.com
- Add gpg signature
* Mon Mar 16 2015 mpluskal@suse.com
- Change source url
- No longer need to bundle license
- Update to 0.4
  * no upstream changelog provided
* Fri Nov 21 2014 mpluskal@suse.com
- Initial package
